Ubuntu

Eclipse crashes/quits without any error messages

Reported by Tor Henning Ueland on 2011-05-27
162
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Eclipse
Confirmed
Medium
overlay-scrollbar (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: eclipse

Installed software:
  CollabNet Merge Client 2.2.3 com.collabnet.subversion.merge.feature.feature.group
  Eclipse IDE for Java Developers 1.3.2.20110301-1807 epp.package.java
  Eclipse Web Developer Tools 3.2.3.v201102160541-7O7CFbWEMf84qYjGDyP3DNEwcgFU org.eclipse.wst.web_ui.feature.feature.group
  ERMaster 1.0.0.v20101001-0024 org.insightech.er.feature.feature.group
  Google App Engine Java SDK 1.4.0 1.4.0.v201012021502 com.google.appengine.eclipse.sdkbundle.e36.feature.1.4.0.feature.group
  Google Plugin for Eclipse 3.6 2.3.0.r36v201104261928 com.google.gdt.eclipse.suite.e36.feature.feature.group
  Google Web Toolkit SDK 2.1.1 2.1.1.v201012170127 com.google.gwt.eclipse.sdkbundle.e36.feature.2.1.1.feature.group
  JNA Library 3.2.7 com.sun.jna.feature.group
  Maven Integration for Eclipse (Required) 0.12.1.20110112-1712 org.maven.ide.eclipse.feature.feature.group
  Subversive Revision Graph (Optional) (Incubation) 0.7.9.I20110124-1700 org.eclipse.team.svn.revision.graph.feature.group
  Subversive SVN Connectors 2.2.2.I20110124-1700 org.polarion.eclipse.team.svn.connector.feature.group
  Subversive SVN Integration for the Mylyn Project (Optional) (Incubation) 0.7.9.I20110207-1700 org.eclipse.team.svn.mylyn.feature.group
  Subversive SVN JDT Ignore Extensions (Optional) (Incubation) 0.7.9.I20101203-1700 org.eclipse.team.svn.resource.ignore.rules.jdt.feature.group
  Subversive SVN Team Provider (Incubation) 0.7.9.I20110207-1700 org.eclipse.team.svn.feature.group
  SVNKit 1.3.5 Implementation (Optional) 2.2.2.I20110124-1700 org.polarion.eclipse.team.svn.connector.svnkit16.feature.group

Problem:
When working on Java-classes my Eclipse can suddenly decide to just quit. No "Saving workspace" or nothing, it just disappears just like that. This typically happens around twice per day. The latest crash today came when i was asking for code completion pop-up to appear for a class i was working on.

I have not found any logs or anything that gives any information about these crashes, so please give me some tips for logs you want me to check. (This is not serious enough to get in the syslog/dmesg)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: eclipse (not installed)
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Fri May 27 14:59:00 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: eclipse
UpgradeStatus: Upgraded to natty on 2011-04-29 (28 days ago)
---
Architecture: amd64
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
NonfreeKernelModules: nvidia
Package: openjdk-6-jre-headless 6b22-1.10.1-0ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Tags: natty
Uname: Linux 2.6.38-8-generic x86_64
UpgradeStatus: Upgraded to natty on 2011-04-29 (31 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Daniel Manrique (roadmr) wrote :

Hello Tor,

Thank you for taking the time to report this bug and trying to help make Ubuntu better.

I'd appreciate if you could do these tests, once you do we'll proceed further.

Did you check whether some Eclipse-related error messages are in .xsession-errors (in your home directory?)

If not, are you launching Eclipse via the Applications menu?

If so, could you perhaps try launching it from a terminal (open a terminal pressing ctrl-alt-t), and trying to reproduce/trigger the problem? This might produce some useful messages on the terminal itself.

Finally, could you tell me whether you installed Eclipse as an Ubuntu package (via apt-get or software center), or some other way? perhaps you downloaded it from eclipse.org?

Thanks!

Changed in eclipse (Ubuntu):
status: New → Incomplete

Hi!

1) My Eclipse is downloaded from Eclipse.org:

Version: Helios Service Release 2
Build id: 20110301-1815

2) the .xsession was new for me, but yes, it did indeed contain important information. :)

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007fd67963c17e, pid=2580, tid=140559465940736
#
# JRE version: 6.0_22-b22
# Java VM: OpenJDK 64-Bit Server VM (20.0-b11 mixed mode linux-amd64 compressed oops)
# Derivative: IcedTea6 1.10.1
# Distribution: Ubuntu Natty (development branch), package 6b22-1.10.1-0ubuntu1
# Problematic frame:
# C [libswt-pi-gtk-3659.so+0x3c17e] Java_org_eclipse_swt_internal_gtk_OS_GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING+0x0
#
# An error report file with more information is saved as:
# /home/thu/hs_err_pid2580.log

The error report file can be found here:
http://h3x.no/dump/hs_err_pid2580.log

So i suspect now that i might have to file under Java, but i will let you check/consider it first :)

Best regards
Tor

Daniel Manrique (roadmr) on 2011-05-27
affects: eclipse (Ubuntu) → openjdk-6 (Ubuntu)
Daniel Manrique (roadmr) wrote :

Tor,

I have assigned this bug to opendjk-6.

The Eclipse people seem to think that this should be addressed on the Ubuntu side:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=345979
https://bugs.eclipse.org/bugs/show_bug.cgi?id=345680

Could you run this from a terminal? This is to gather some more detailed log files; since your original report was about eclipse, which wasn't installed from Ubuntu sources, it lacked some of this information.

apport-collect 789123

Thanks!

thu@thu:~$ apport-collect 789123
Package openjdk-6 not installed and no hook available, ignoring

thu@thu:~$ java -version
java version "1.6.0_22"
OpenJDK Runtime Environment (IcedTea6 1.10.1) (6b22-1.10.1-0ubuntu1)
OpenJDK 64-Bit Server VM (build 20.0-b11, mixed mode)

thu@thu:~$ whereis java
java: /usr/bin/java /etc/java /usr/share/java /usr/share/man/man1/java.1.gz

thu@thu:~$ ls -la /usr/bin/java
lrwxrwxrwx 1 root root 22 2011-02-10 13:39 /usr/bin/java -> /etc/alternatives/java

Daniel Manrique (roadmr) wrote :

Hi Tor,

Apologies, looks like apport doesn't like "openjdk-6" as a package name.

Alternatively, could you try running apport-collect like this:

apport-collect -p openjdk-6-jre-headless 789123

Hopefully this will attach the required information. I'm still keeping an eye on this report.

Thanks so much for your help!

Gregor Rosenauer (grexe) wrote :

This is not an openjdk-bug but some Eclipse-SWT/Ubuntu-GTK issue.
I have the exact same error running Sun JKD 1.6.0_24 on Ubuntu 11.04 64bit+latest updates :

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f5404c5f17e, pid=2085, tid=139999136245504
#
# JRE version: 6.0_24-b07
# Java VM: Java HotSpot(TM) 64-Bit Server VM (19.1-b02 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C [libswt-pi-gtk-3659.so+0x3c17e] Java_org_eclipse_swt_internal_gtk_OS_GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING+0x0
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.

apport information

tags: added: apport-collected
description: updated

I have also started running Eclipse from the command line to see if it gives me more info. But it has not crashed yet, still waiting for it :)

Regards,
Tor

Gregor Rosenauer (grexe) wrote :

It seems locking the screen and unlocking again - forcing an update in the Eclipse UI - is enough to trigger the bug after a while.
I have the feeling it takes 2-3 hours until the crash occours.

I do lock (and unlock) my machine several times during a normal day, and have not noticed any crashes just after a unlock.

Ryan Tsang (rptsang) wrote :

I get this too, running STS on Sun JDK:

$ java -version
java version "1.6.0_12"
Java(TM) SE Runtime Environment (build 1.6.0_12-b04)
Java HotSpot(TM) 64-Bit Server VM (build 11.2-b01, mixed mode)

#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f062ce9917e, pid=18345, tid=139665897883392
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (11.2-b01 mixed mode linux-amd64)
# Problematic frame:
# C [libswt-pi-gtk-3659.so+0x3c17e] Java_org_eclipse_swt_internal_gtk_OS_GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING+0x0
#
# An error report file with more information is saved as:
# /com/home/users/xxxxxxx/springsource/sts-2.6.0.RELEASE/hs_err_pid18345.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Stops abruptly and prints the preceding message to the console. The most consistent way I can reproduce this is doing a large merge using Subversive/SVNKit 1.3.5. Let me know if I can provide any additional information.

+1 on that this is not an openjdk issue. I'm using java-6-sun-1.6.0.24 also on 64 bit. I also find it happens when using SVN. It doesn't take a large merge. Looking at history or even try to close a window related to SVN will crash eclipse.

romtrash (romtrash) wrote :

I have the same problem with a friend on Ubuntu 11.04 (Gnome environnement) and Eclipse Helios or Spring Tools Suite.
Any update concerning that bug ?

Thanks.

Rom

I can do anything SVN related without getting any crashes, so it does not appear to be related to that either.

(I am also getting close to one week without any crashes now)

Dilton McGowan II (diltonm) wrote :

I keep getting crash reports like this, not sure if it's related but lately on Ubuntu 11.04 64 bit, Eclipse crashes several times a day and that "cast to BamfView" thing looks suspicious to me:

System: Linux 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 11001000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Radiance
Icon Theme: ubuntu-mono-light
GTK+ Modules: gnomesegvhandler, canberra-gtk-module

Memory status: size: 3367522304 vsize: 3367522304 resident: 1818939392 share: 34492416 rss: 1818939392 rss_rlim: 18446744073709551615
CPU usage: start_time: 1307566272 rtime: 41926 utime: 38031 stime: 3895 cutime:30599 cstime: 1194 timeout: 0 it_real_value: 0 frequency: 100

----------- .xsession-errors ---------------------
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
(<unknown>:2876): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `BamfView'
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
** (gnome-session:2639): DEBUG: GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
Could not attach to process. If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try
again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf
ptrace: Operation not permitted.
/home/diltonm/eclipse-361/8534: No such file or directory.
No stack.
--------------------------------------------------

Daniel Manrique (roadmr) wrote :
Download full text (3.3 KiB)

So the problem is apparently caused by eclipse's libswt-pi-gtk-3659.so having trouble while calling a function:

Java_org_eclipse_swt_internal_gtk_OS_GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING is defined in libswt-pi-gtk.so.

The actual Java method that triggers the error is this:

org.eclipse.swt.widgets.MenuItem.setText(Ljava/lang/String;)V+205

it would be good to see which arguments the method is using while producing the crash.

I agree that this is probably not an openjdk-6 error. libswt-pi-gtk links to a bunch of libraries in Ubuntu:

 libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0
 libgthread-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0
 libXtst.so.6 => /usr/lib/libXtst.so.6
 libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6
 libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0
 libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0
 libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6
 libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1
 libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1
 libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3
 libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0
 libcairo.so.2 => /usr/lib/libcairo.so.2
 libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0
 libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6
 libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0
 libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0
 libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6
 libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1
 libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0
 librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1
 libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0
 libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0
 libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3
 libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6
 /lib64/ld-linux-x86-64.so.2
 libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1
 libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1
 libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6
 libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2
 libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1
 libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1
 libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2
 libpixman-1.so.0 => /usr/lib/libpixman-1.so.0
 libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0
 libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0
 libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0
 libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1
 libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2
 libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1
 libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1
 libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6
 libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6

so the problem might be in one of them, but without a clear way of reproducing the proble...

Read more...

James Baldassari (jbaldassari) wrote :

Setting the environment variable GDK_NATIVE_WINDOWS=true before starting Eclipse seems to fix these random crashes for me. Unfortunately I lose all scroll bars in Eclipse when this option is enabled, so it's not a great workaround. Even so, maybe it provides some insight into the root cause of the problem.

Dilton McGowan II (diltonm) wrote :

One thing I tried (because I can't stand them) is I removed the overlay scrollbar that's new in Ubuntu by removing these two packages:

overlay-scrollbar
liboverlay-scrollbar-0.1-

So far yesterday and today I've not seen any crashes.

Daniel Manrique (roadmr) wrote :

Here's some analysis of source code for swt-gtk:

The source file that's at the top of the Java stack is:

org/eclipse/swt/widgets/MenuItem.java

The offending method is

public void setText(String string)

After a bunch of Java code, the call that fails is:

int /*long*/ oldPtr = OS.GTK_ACCEL_LABEL_GET_ACCEL_STRING (label); //THIS ONE
OS.GTK_ACCEL_LABEL_SET_ACCEL_STRING (label, ptr); // We don't reach this line

From code a bit further up it looks like label is a label widget (clearly, heh).

This macro is defined in the C files that interface with GTK, under a section "Field accesors":

#define GTK_ACCEL_LABEL_GET_ACCEL_STRING(arg0) (arg0)->accel_string

Looks like what it does is fetch the accel_string member of the struct passed as a parameter (a GtkWidget is essentially a struct). To someone who knows a bit more about Java->C interfacing and/or GTK, it might be clear under which circumstances the call GtkAccelLabel->accel_string might segfault. GtkAccelLabel comes from os.c where GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING (familiar as it appears early in the stack trace file as the name of the Problematic Frame) is defined as follows:

JNIEXPORT jintLong JNICALL OS_NATIVE(GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING)
    (JNIEnv *env, jclass that, jintLong arg0)
{
    jintLong rc = 0;
    OS_NATIVE_ENTER(env, that, GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING_FUNC);
    rc = (jintLong)GTK_ACCEL_LABEL_GET_ACCEL_STRING((GtkAccelLabel *)arg0);
    OS_NATIVE_EXIT(env, that, GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING_FUNC);
    return rc;
}

So, determining the value for which an attempt to access the accel_string segfaults would yield more information.

I'll ask for some advice upstream on the Ubuntu package this stuff should be associated to, for further investigation by people more knowledgeable than me :)

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Daniel Manrique (roadmr) wrote :

Has anyone tried using the version of libswt-gtk packed for Ubuntu, and seeing if the problem goes away?

sudo apt-get install libswt-gtk-3.6-java

then, swt.jar will be in /usr/share/java/swt.jar. I'm unsure how to tell Eclipse to use this instead of the bundled swt but this might be worth a shot.

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

knb (knb) wrote :

Solution by diltonm

Comment #18

  seems to have solved the problem for me. Thanks!

Torsten Krah (tkrah) wrote :

#18 seems to solved the problem here too - no crashs (with this stacktrace / cause) anymore.

Mingming Ren (portis25) wrote :

You don't have to remove overlay-scrollbar.
You can just use
 LIBOVERLAY_SCROLLBAR=0 eclipse
to start eclipse in command line.

Daniel Manrique (roadmr) wrote :

Hi,

I'll wait a couple of days to give everyone involved a chance to try the solution from comments #18 and #23, basically disabling the overlay scollbar (I prefer #23 as it doesn't involve removing the package) and please confirm whether this indeed solves the problem. If that's the case, I'd move this bug to overlay-scrollbar as it seems to be conflicting somehow with libswt-gtk. But I'd like first to get confirmation that the problem goes away with that workaround.

Thanks!

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Gregor Rosenauer (grexe) wrote :

I removed the package and had no crashes since then, many thanks!
The overlay-scrollbar was driving me crazy, anyway, as it often does not really blend well with some editors from a usability/interaction perspective.

I vent more or less through the whole of june with overlay scrollbars disabled (since i simply dont like them yet). And i have not had a single crash since that.

Allthough i have had 2 freezes of Eclipse, where it has typically used 100% CPU until i killed it. I have not digged too much into that yet since i suspect it beeing a completely different problem/bug.

Javi Molina (javich) wrote :

I can confirm that #23 solves crashing in Eclipse (STS 2.7.1 in my case) in Natty.

I had at least two crashes a day before using the workaround. Since yesterday no more crashes.

I second the opinion this bug needs to be assigned to overlay-scrollbar instead.

Daniel Manrique (roadmr) wrote :

Assigning to overlay-scrollbar due to multiple confirmations that disabling it works around the problem. Importance Medium as it "has a severe impact in a non-core application" (based on the fact that Eclipse seems to be the only victim of this problem).

I'd still love to hear from someone using only stock Ubuntu packages (i.e. openjdk and eclipse installed from software center/apt-get).

Thanks!

- Daniel
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

affects: openjdk-6 (Ubuntu) → overlay-scrollbar (Ubuntu)
Changed in overlay-scrollbar (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium

Mellon,

I found this Thread by searching the Web for a bad error message:
# Problematic frame:
# C [libswt-pi-gtk-3735.so+0x3cf5e] Java_org_eclipse_swt_internal_gtk_OS_GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING+0x0

My Eclipse crashed, too, which led to a loss of a real good bunch of heavily edited classes before I could merge it with my Git Account. Headshot.

Well, but I would like to submit Logs which I got from the Termination of Eclipse. Eclipse crashes on my Computer from time to time (perhaps twice a day or at one time in a whole week ).

The last time Eclipse crashed, when I tried to edit the Sorting of the Eclipse Task List (TODO Stuff). The whole IDE just vanished but left two Logs. Another crash happened some time ago, when I accessed the Code Completion Window to see what Methods were available for some Object.

I have no idea who or which section of Launchpad is able to undergo an investigation in this case, but I would really appreciate it, if my classes won't just go... =)

Best regards,
Semo

rsteppac (ralf-xr) wrote :

Setting LIBOVERLAY_SCROLLBAR=0 has not solved the problem for me completely. Only a couple of seconds after restarting Eclipse (old school scroll bars were visible) it crashed again. However, this time another native library seems to be the cause: libzip.so.

rsteppac (ralf-xr) wrote :

This is on 11.04 64 bit btw. I use a stock J2EE Eclipse from eclipse.org.

Dilton McGowan II (diltonm) wrote :

rsteppac (ralf-xr) check my comment #18, this has been working for me. At least it's wokring on 11.04 64 bit using eclipse.org Helios build.

rsteppac (ralf-xr) wrote :

OK, I have completely removed the overlay scrollbars as described in #18. Let's wait and see...
I am using Eclipse Indigo.

rsteppac (ralf-xr) wrote :

OK, so far so good. After completely removing the overlay scrollbar libs Eclipse has been stable so far. Thanks!

Simon Dass (dass2000) wrote :

Same issue, Eclipse Indigo, Linux Mint Katya, won't bother posting log as call stack v similar to #2
Just wanted to confirm that I tried fix #23 and no crash for 2 days now, previously crashing at least once an hour, not tried completely removing the floaty scrollbars because I don't actually mind them.

mysticx (mysticx) wrote :

Same here, Eclipse 3.7.0 64bit, Ubuntu 11.10, Java 1.7.0-b147.
#18 seems to have fixed it for me.

Also, this bug should be fixed with Eclipse 3.7.1 (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=345979)

Emily Björk (bjoerk-emily) wrote :

I can confirm bug on Ubuntu 10.04 LTS, Oracle JDK 1.7.0 u2 (manual install) and Eclipse 3.7.1. (Eclipse 3.5.x is not affected)

Workaround (no crashes so far): System -> Preferences -> Appearance -> Visual Effects: None.

(Overlayscrollbar not installed, not even available in package tree). I believe the issue could stem from compiz.

Emily Björk (bjoerk-emily) wrote :

Oh snap! Scrap that, bug still occurs with Visual Effects disabled.

hi,

I've got crash reports from user working with Eclipse on Ubuntu 11.04 (with Unity), architecture x86_64.

It's happening when using search view.
It's detached and placed on user's second screen.
When doubleclicking the result to to to line x in file y, Eclipse crashes.
It also happens when window is detached and placed on his 1st screen.

Offending library seems to be used in Unity.

Below is pasted the beginning of the log file, for the rest see attached file:
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f3334565241, pid=14276, tid=139858150848256
#
# JRE version: 6.0_26-b03
# Java VM: Java HotSpot(TM) 64-Bit Server VM (20.1-b02 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C [liboverlay-scrollbar-0.1.so.0+0x7241] unsigned __int128+0x39b1
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Created attachment 212278
hs_err_pid14276.log

JVM log file

I found some similar issue reported in Ubuntu bug database about Eclipse crashing due to liboverlay-scrollbar:
https://bugs.launchpad.net/ubuntu/+source/overlay-scrollbar/+bug/789123

Unfortunately none of the logs there matches the one I got.
It mentions a way to launch Eclipse with overlay-scrollbar disabled. Unfortuntely I don't know if that solves this specific problem, but would be happy to know...

I get this a few times a day.

My setup:

Ubuntu 12.10

java version "1.7.0_09"
Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

Eclipse SDK
Version: 4.2.1
Build id: M20120914-1800

Let me know if there is any thing I can do to provide more information

Venkatesh (lilacsunbird) wrote :

I get this many times a day,

My setup is

Ubuntu 12.10
java version "1.6.0_37"
Java(TM) SE Runtime Environment (build 1.6.0_37-b06)
Java HotSpot(TM) 64-Bit Server VM (build 20.12-b01, mixed mode)

Eclipse SDK
Version: 4.2.1
Build id: M20120914-1800

Please help to get this issue resolved, this is not letting me to do my work peacefully. Please let me know if you need further details.

Philip Aston (philipa) wrote :

Same with Eclipse 4.2 SR1 under Oracle JRockit(R) R28.2.2-7-148152-1.6.0_29-20111221-2104-linux-x86_64.

Looking at a core with gdb, I see recursion in liboverlay-scrollbar.so, and the JRockit dump file tells me

  StackOverFlow: 1 StackOverFlowError has occured

#0 0x00007f3c46c7e159 in _IO_default_xsputn () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007f3c46c4aaa1 in vfprintf () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x00007f3c46d0c1d1 in __vasprintf_chk () from /lib/x86_64-linux-gnu/libc.so.6
#3 0x00007f3bfd2a162b in g_vasprintf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4 0x00007f3bfd28112d in g_strdup_vprintf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5 0x00007f3bfd26bad2 in g_logv () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6 0x00007f3bfd26be42 in g_log () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7 0x00007f3bfd545e4d in g_type_check_instance_cast () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#8 0x00007f3bcac4483e in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#9 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#10 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#11 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#12 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#13 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#14 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#15 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#16 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#17 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#18 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#19 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#20 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#21 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#22 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#23 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#24 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#25 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#26 0x00007f3bcac44846 in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
#27 0x00007f3bcac4473b in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/modules/liboverlay-scrollbar.so
....

Trying with LIBOVERLAY_SCROLLBAR=0

Possibly the cause of the issue I reported in DartEditor here: https://code.google.com/p/dart/issues/detail?id=10363

Changed in eclipse:
importance: Unknown → Medium
status: Unknown → Confirmed
Marc-Andre Laperle (malaperle) wrote :
Download full text (4.9 KiB)

It looks like some recursion in get_private. Sorry if the lines don't match, we have a slightly modified version including the fix for https://bugs.launchpad.net/ubuntu/+source/overlay-scrollbar/+bug/1188831

Thread [1] 4645 (Suspended : Container)
 __GI__IO_default_xsputn() at /build/buildd/eglibc-2.17/libio/genops.c:464 0x7f8282a96b09
 _IO_vfprintf_internal() at /build/buildd/eglibc-2.17/stdio-common/vfprintf.c:1,334 0x7f8282a63917
 __GI___vasprintf_chk() at /build/buildd/eglibc-2.17/debug/vasprintf_chk.c:66 0x7f8282b2af41
 vasprintf() at /usr/include/x86_64-linux-gnu/bits/stdio2.h:210 0x7f826a3bebeb
 g_vasprintf() at /build/buildd/glib2.0-2.36.0/./glib/gprintf.c:314 0x7f826a3bebeb
 g_strdup_vprintf() at /build/buildd/glib2.0-2.36.0/./glib/gstrfuncs.c:517 0x7f826a39c8fd
 g_logv() at /build/buildd/glib2.0-2.36.0/./glib/gmessages.c:878 0x7f826a387112
 g_log() at /build/buildd/glib2.0-2.36.0/./glib/gmessages.c:1,010 0x7f826a387492
 g_type_check_instance_cast() at /build/buildd/glib2.0-2.36.0/./gobject/gtype.c:4,044 0x7f826a664dfb
 hijacked_scrollbar_hide() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:3,398 0x7f824005799b
 0x7f827eb9aeb0
 0x7f827c8b20b0
 0x7f827eb99cf0
 0x7f827eb99cf0
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:692 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:675 0x7f8240057b1b
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057b1b
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:692 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:675 0x7f8240057b1b
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057b1b
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:692 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:675 0x7f8240057b1b
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057b1b
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:692 0x7f8240057c26
 get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f8240057c26
 get_private() at /buil...

Read more...

Marc-Andre Laperle (malaperle) wrote :

Debugging core dump from DartEditor:

get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:690 0x7f0c4e44bc1b
get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f0c4e44bc1b
swap_thumb() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:1,214 0x7f0c4e44bd26
get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:690 0x7f0c4e44bc1b
get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f0c4e44bc1b
swap_thumb() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:1,214 0x7f0c4e44bd26
get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:690 0x7f0c4e44bc1b
get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:627 0x7f0c4e44bc1b
swap_thumb() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:1,214 0x7f0c4e44bd26
get_private() at /build/buildd/overlay-scrollbar-0.2.16+r359daily13.05.30/build/gtk2/os/../../../os/os-scrollbar.c:690 0x7f0c4e44bc1b

It seems easier to reproduce with DartEditor.

In my case the problem happens when I launch 32-bit eclipse (Eclipse 3.7.2) on 64-bit system.
When I launch 64-bit eclipse, it works fine.

Marc-Andre Laperle (malaperle) wrote :

For the record, I'm still getting the overlay-scrollbar stack overflow in saucy.

I found a way to reproduce this error on demand. It happens when I switch from one specific tab in my workspace to another specific tab.
I use: Ubuntu 12.04, eclipse 4.2.2 (Build id: M20130204-1200) - downloaded from eclipse.org

The terminal message is:
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f5986ee6f0f, pid=9904, tid=140023659063040
#
# JRE version: 6.0_30-b30
# Java VM: OpenJDK 64-Bit Server VM (23.25-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C [libgtk-x11-2.0.so.0+0x17cf0f] gtk_range_get_round_digits+0x143f
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# ~/eclipse/hs_err_pid9904.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# https://bugs.launchpad.net/ubuntu/+source/openjdk-6/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

The mentioned log file is attached.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.